/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * EmergencyNumbers
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class EmergencyNumbers {
  @SerializedName("label")
  private String label = null;

  @SerializedName("desc")
  private String desc = null;

  @SerializedName("ambulance")
  private Integer ambulance = null;

  @SerializedName("police")
  private Integer police = null;

  @SerializedName("fire")
  private Integer fire = null;

  public EmergencyNumbers label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Emergency numbers label. Ex: \&quot;Emergency numbers\&quot;
   * @return label
  **/
  @ApiModelProperty(value = "Emergency numbers label. Ex: \"Emergency numbers\"")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public EmergencyNumbers desc(String desc) {
    this.desc = desc;
    return this;
  }

   /**
   * Emergency numbers description. Ex: \&quot;Ambulance: 112/123...\&quot;
   * @return desc
  **/
  @ApiModelProperty(value = "Emergency numbers description. Ex: \"Ambulance: 112/123...\"")
  public String getDesc() {
    return desc;
  }

  public void setDesc(String desc) {
    this.desc = desc;
  }

  public EmergencyNumbers ambulance(Integer ambulance) {
    this.ambulance = ambulance;
    return this;
  }

   /**
   * Ambulance number. Ex: \&quot;112\&quot;
   * @return ambulance
  **/
  @ApiModelProperty(value = "Ambulance number. Ex: \"112\"")
  public Integer getAmbulance() {
    return ambulance;
  }

  public void setAmbulance(Integer ambulance) {
    this.ambulance = ambulance;
  }

  public EmergencyNumbers police(Integer police) {
    this.police = police;
    return this;
  }

   /**
   * Police number. Ex: \&quot;112\&quot;
   * @return police
  **/
  @ApiModelProperty(value = "Police number. Ex: \"112\"")
  public Integer getPolice() {
    return police;
  }

  public void setPolice(Integer police) {
    this.police = police;
  }

  public EmergencyNumbers fire(Integer fire) {
    this.fire = fire;
    return this;
  }

   /**
   * Fire number. Ex: \&quot;112\&quot;
   * @return fire
  **/
  @ApiModelProperty(value = "Fire number. Ex: \"112\"")
  public Integer getFire() {
    return fire;
  }

  public void setFire(Integer fire) {
    this.fire = fire;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    EmergencyNumbers emergencyNumbers = (EmergencyNumbers) o;
    return Objects.equals(this.label, emergencyNumbers.label) &&
        Objects.equals(this.desc, emergencyNumbers.desc) &&
        Objects.equals(this.ambulance, emergencyNumbers.ambulance) &&
        Objects.equals(this.police, emergencyNumbers.police) &&
        Objects.equals(this.fire, emergencyNumbers.fire);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, desc, ambulance, police, fire);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EmergencyNumbers {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    desc: ").append(toIndentedString(desc)).append("\n");
    sb.append("    ambulance: ").append(toIndentedString(ambulance)).append("\n");
    sb.append("    police: ").append(toIndentedString(police)).append("\n");
    sb.append("    fire: ").append(toIndentedString(fire)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

